.NET Tutorials, Forums, Interview Questions And Answers
Welcome :Guest
Sign In
Win Surprise Gifts!!!

Top 5 Contributors of the Month
Gaurav Pal
Post New Web Links

Error The tools version "3.5" is unrecognized.

Posted By:      Posted Date: October 16, 2010    Points: 0   Category :ASP.Net


I installed VS 2008 setup on my computer.

I am having Windows XP OS with SP2.

When I opened VS 2008 and clicked on Create Project , I got the following error.

"The tools version "3.5" is unrecognized."

Please tell me how to resolve this.

Thanks in advance.

View Complete Post

More Related Resource Links

Tools for memory error check in VS2005


Dear all,

I am going to write vs2005 program with ASP.NET and C++.

As you know that C++ will involve a lot of memory error handling.

Do you know is there any tools for checking memory error in Code Behind C++??

Coding Tools: Improved Support For Parallelism In The Next Version Of Visual Studio


We take a look at planned support for parallel programming for both managed and native code in the next version of Visual Studio.

Stephen Toub and Hazim Shafi

MSDN Magazine October 2008

Windows CE.NET: New Version Offers Revamped Platform Builder, Improved Tools, Enhanced API, and Sour


Windows CE .NET, the newest member of the .NET family, includes a number of improvements over previous versions of Windows CE. For example, there are quite a few new APIs and enhancements to security and connectivity, the user interface, the kernel, and the emulator. In addition, DirectX support has been added and C++ in Windows CE .NET now supports C++ exceptions, STL, and runtime type information. In this article the author takes a tour of Windows CE .NET, starting with the New Platform Wizard that allows you to code for your choice of devices. A sample application is included that locates features on portable devices so the reader knows what's available before writing code.

Paul Yao

MSDN Magazine July 2002

All my server-controls became unrecognized!!! like there's compilation error or web.config missing!



please help - the problem is in post subject.

I have lots of warnings with following text:

"Warning 10 Element 'HyperLink' is not a known element. This can occur if there is a compilation error in the Web site, or the web.config file is missing. C:\Users\Pavel\Documents\Visual Studio 2010\WebSites\BioWebSite\ToScientist.aspx 26 18 C:\...\BioWebSite\" 

But web.confg is there! And there's no compilation error!

Site builds just fine. And If I upload it to my hoster - it works!


But with all these errors I cant add controls to pages - VS2010 adds hyperlink without ID, and intelisens stoped to work.

Strange, but in my other project (web-application) I have no such difficuty.

getting MOF error trying to install either SQL 2005 Developer version or SQL 2008 R2 Developer versi

I have tried so many times but failed to install SQL 2005 Developer version on my XP machine. Got the 29513 error. I then switched to SQL 2008 R2 Developer version and got the MOF syntax error. I'm new SQL Server and need some help fixing this problem. I'm not sure what version of the SQL 2005 version it is. I downloaded it from MSDN Subcriber Download page. Any help to fix this problem would be appreciated. Got a project that needs to use Sql Server ASAP.

Reporting queued error: Faulting application w3wp.exe, version 6.03790.3959, Faulting module kernel3

Reporting queued error: faulting application w3wp.exe version 6.0.3790.3959, faulting module kernel32.dll, version 5.2.3790.3959,fault address 0x0000bee7 Please some one through some inputs on it.. how could it be fixed? Thanks and Regards, altaf_css  

Framework error:Could not load file or assembly 'Microsoft.AnalysisServices, Version=

Hi,I use sql clr sp's to load data in to database using .net framework 2.0. I never had aproblem using this and it went well for months.I recently updated to net framework 3.5 sp1 and sqlserver sp3 on 32-bit sql server and win 2003.I am facing an error which i could not resolve.Error:System.IO.FileLoadException: Could not load file or assembly 'Microsoft.AnalysisServices, Version=, Culture=neutral, PublicKeyToken=89845dcd8080cc91' or one of its dependencies. Assembly in host store has a different signature than assembly in GAC. (Exception from HRESULT: 0x80131050)System.IO.FileLoadException:    at StoredProcedures.checktable(String paramComponent, String paramParameters)I have gone through different forums, and trie different options,but did not help. I am using 'unsafe'  option.I also tried to alter assembly which is mentioned in http://support.microsoft.com/kb/949080/pt But when i tried to alter the assembly using the above link or try to change the permission to external access on the assembly, i get the below error.Alter ASSEMBLY AccessibilityFROM 'C:\WINDOWS\Microsoft.NET\Framework\v2.0.50727\Accessibility.dll'Cannot alter the assembly 'Accessibility', because it does not exist or you do not have permission.I am an admin on the server/sqlCan some one suggest how to alter assembly with permissions or solve this issue or am i missing anything important.Do i

Microsoft.NET version 3.0 Install Error: Installation failed for Windows Communication Foundation. M

Please help! I've been trying for the last day and a half to properly install Microsoft.NET version 3.5 so that I can install TurboTax and do my taxes. I was only on version 1.1. Multiple tries to upgrade to 3.5 was giving me a code 1603 error on install on "Microsoft.NET version 2.0a". I followed advice from forums here and elsewhere to uninstall and reinstall my prior versions. I also used Windows Install Cleanup before reinstalling. I keep getting to the same result when I try to go from version 2.0 to version 3.5. In my last attempt, I went all the way back to version 1.0 and installed each step up to 2.0 SP1 with (allegedly) no problems. This last time I decided to upgrade to 3.0 instead of going right to 3.5. Now I get the following error message: [04/03/10,04:07:14] Windows Communication Foundation: [2] Error: Installation failed for component Windows Communication Foundation. MSI returned error code 1603[04/03/10,04:07:22] WapUI: [2] DepCheck indicates Windows Communication Foundation is not installed.[04/03/10,04:07:22] WapUI: [2] DepCheck indicates Microsoft .NET Framework 3.0 was not attempted to be installed.[04/03/10,04:17:49] Windows Communication Foundation: [2] Error: Installation failed for component Windows Communication Foundation. MSI returned error code 1603[04/03/10,04:17:57] WapUI: [2] DepCheck indicates Windows Communication Foundati

ERROR: Cannot show Visual Studio 2008 Tools for Applications editor - SP1 IS applied

Using BI Studio, attempting to put a small VB script in a Script Task, hitting the Edit Script gives:   Cannot show Visual Studio 2008 Tools for Applications editor   ADDITIONAL INFORMATION: Could not load file or assembly 'VSTADTEProvider.Interop, Version=, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a' or one of its dependencies. The system cannot find the file specified. (Microsoft.SqlServer.VSTAScriptingLib)   NEED A FIX, PLEASE, AS I'VE ALREADY LOADED VS2008 SP1...!   I have now also uninstalled VS2008 entirely, along with .NET 3.5 SP1 rebooted several times, reinstalled from the January Team System Database Edition, applied VS2008 SP1 and .Net 3.5 SP1 from Microsoft Downloads with the usual reboots to make sure, and I'm still hosed...   Microsoft Visual Studio 2008Version 9.0.30729.1 SPMicrosoft .NET FrameworkVersion 3.5 SP1 Installed Edition: Enterprise Microsoft Visual Basic 2008   91901-270-1018792-60217Microsoft Visual Basic 2008 Microsoft Visual C# 2008   91901-270-1018792-60217Microsoft Visual C# 2008 Microsoft Visual C++ 2008   91901-270-1018792-60217Microsoft Visual C++ 2008 Microsoft Visual Studio 2008 Tools for Office   91901-270-1018792-60217Microsoft Visual Studio 2008 Tools for Office Microsoft Visual Studio Team System 2008 Database Edition   91901-270-1018792-60217Microsoft Visual Studio Team System 2008 Database Edition Microsoft Visual Web

Error - The evaluation period for this version of SharePoint Portal Server has Expired

I am using SharePoint Portal Server 2003 and in the app log I'm seeing this error "The evaluation period for this version of SharePoint Portal Server has Expired" which I believe is causing the search service to not work and I can no longer sign in to the SP central admin console. While I did not perform the install myself it has been running for over a year and according to MS the SP PS 2003 eval was only 120 days so I assume the full version was installed.  Any idea's? There are a couple more errors in the event log but I assume they are symptoms and not causes. Event Type:    Error Event Source:    SharePoint Portal Administration Service Event Category:    None Event ID:    502 Date:        9/13/2010 Time:        9:05:03 AM User:        N/A Computer:    SP1 Description: An exception occurred in the search synchronizer. Event Type:    Error Event Source:    Service Control Manager Event Category:    None Event ID:    7023 Date:        9/13/2010 Time:        9:11:34 AM User:        N/A Computer:    SP1 Description: The Microsoft Shar

Ajax tool kit version error

Hi, I have downloaded AjaxToolkit version 3.5 from this asp.net site and unzipped it and attached to my tools. I tried to add Calendar control to my application while running application I am getting this bellow error. It says Ajax version 4 to use, I dont understand how to solve this. I am using VS 2008 with Framworks 3.5  but I dont know why it is asking to run Ajax 4.0 scripts. Any Idea how to solve this?   "Microsoft JScript runtime error: AjaxControlToolkit requires ASP.NET Ajax 4.0 scripts. Ensure the correct version of the scripts are referenced. If you are using an ASP.NET ScriptManager, switch to the ToolkitScriptManager in AjaxControlToolkit.dll. "   thanks  

page version history gives error: "value cannot be null. parameter key: name"

Hello, I'm have customized my homepage in SharePoint Designer 2010. I want to go back to a previous version, so I right click on the aspx file in sharepoint designer and choose "version history". When I do that I get this message: There was an error connecting to the server. The server error encountered is "Value cannot be null. Parameter name: key" What should I do in order to revert my aspx page to a previous version ?

Unrecognized attribute RequirePermission, not because of incorrect framework version in IIS...

So I have been struggling with this error for a while and normally i get around it by removing the attribute and all is good, not quite simple this time. Based on my research on this error, this is usually caused by incorrect .net version selected in IIS but for me this is usually not the case.  For the app i am working on, it is a 4.0 app, the asp.net version in IIS is set to 4.0, and the error is caused by the RequirePermission attribute in the 4.0 machine.config.  Since it is calling the 4.0 machine.config, that only tells me the version is set correctly.  So what is wrong, why is it not recognized? I have tried removing all the requirePermission attributes in the machine.config, then something else is not recognized, I believe it was the configProtectedData section.  Endless error messages.  It seems to be happening only on one machine.  I did try uninstalling and reinstalling 4.0 and it didnt help, very frustrated!!! Suggestion any one? Thanks in advance!

.NET Runtime version 2.0.50727.3082 - Fatal Execution Engine Error (000006427F44A4EE) (80131506) aft


This is a new server, which has the latest security updates and Microsoft SQL Server 2008 Management Objects (for the application to connect to a remote SQL Server DB):

  • Windows Server 2003 R2 SP2
  • .NET Framework 2.0 (x64): (as a part of the SMO package install)

After install the Microsoft update KB951847, we are unable to start our application (It's a service application).

Error from the Event:

Event Type: Error
Event Source: .NET Runtime
Event Category: None
Event ID: 1023
Date:  9/11/2010
Time:  4:09:03 PM
User:  N/A
Computer: FLUFFY
.NET Runtime version 2.0.50727.3082 - Fatal Execution Engine Error
(000006427F44A4EE) (80131506)

From the Add/Remove program, the following were installed after the KB951847:

  • .NET Framework 2.0 SP2
  • .NET Framework 3.0 SP2
  • .NET Framework 3.5 SP1

I was unable to apply the patch KB913384 because, I think, the .NET 2.0 is at level SP2.   My only solution was to uninstall ALL of them (3.5 sp1, 3.0 sp2, and 2.0 sp2), then install back the base .N

got error ,while using ajax toolkit with ajax web.extensions version 1.0


hello all,

the reason i posted this question is that i just added ajax toolkit in my visual studio 2005 and i installed  ajax web extension version 1;

downloaded from microsoft website named "ASPAJAXExtSetup" but when i added ajax object in my web form i ve gotten this error:

"Error 1: Indirect reference is being made to assembly System.Web.Extensions version, which contains 'AjaxControlToolkit.CalendarExtender'. This Project references a prior version of System.Web.Extensions version 1.0.61025.0. To use 'AjaxControlToolkit.CalendarExtender', you must replace the reference to System.Web.Extensions with version or higher.

 C:\inetpub\wwwroot\AJAXEnabledWebSite1\Default.aspx 1 1 C:\...\AJAXEnabledWebSite1\"

is there any option to upgrade ajax web extension version 1 to upper without installing visual studio 2008 and .net 3.5? or any other solution ?

thank you so much

Sharepoint Designer and Foundation version mismatch error


The company I am employed by has been running SharePoint 2010 successfully for several months now. Recently when anyone attempts to edit our main site using SharePoint designer they are prevented from doing so an given the following error message: "Server Error: The version of Microsoft SharePoint Foundation running on the server is more recent than the version of SharePoint Designer you are using. You need a more recent version of SharePoint Designer". We are running the most recent version that we can find available for download from Microsoft. The server administrator has attempted to roll back the most recent patches / updates to SP Foundation, rebooted the site collection, tried a fresh install of Designer and other obvious common solutions to no avail.

This is a massive impediment to our continued development of this product. How do we resolve this problem?


Error while adding reference to latest version of AjaxControlToolkit


HI All,

I am a bit new to ASP.Net Ajax and as such new to Ajax itself. I have a site which uses ASP.Net Ajax.  It used the version AjaxControlToolkit version 3.0.30512.0. I have now changed it to version 3.5.40412.2 by deleting the old reference and adding a reference to the latest one . I build the soultion and everything appears fine witjhout any errors. But the site fails to load showing a yellow page with the message AjaxControlToolkit Version="3.5.40412.2" missing reference to 'AjaxControlToolkit.ExtenderBase.Base Scripts.js.BaseScripts.js'. What does this mean ?

ASP.NetWindows Application  .NET Framework  C#  VB.Net  ADO.Net  
Sql Server  SharePoint  Silverlight  Others  All   

Hall of Fame    Twitter   Terms of Service    Privacy Policy    Contact Us    Archives   Tell A Friend